-- Demo of using WITH RESTART on a restore

-- Turn on the tracking trace flags
DBCC TRACEON (3004);
DBCC TRACEON (3014)
DBCC TRACEON (3604);
GO

EXEC sp_cycle_errorlog;
GO


-- Do the full restore
RESTORE DATABASE foo FROM
DISK = 'D:\SQLskills\foo.bck';
GO

EXEC xp_readerrorlog;
GO


-- Again - but interrupted...
DROP DATABASE foo;
GO

RESTORE DATABASE foo FROM
DISK = 'D:\SQLskills\foo.bck';
GO


-- Now watch for the checkpoint file
RESTORE DATABASE foo FROM
DISK = 'D:\SQLskills\foo.bck';
GO


-- Now use WITH RESTART
EXEC sp_cycle_errorlog;
GO
RESTORE DATABASE foo FROM
DISK = 'D:\SQLskills\foo.bck'
WITH RESTART;
GO

EXEC xp_readerrorlog;
GO